# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Send funds to PayPal and Venmo ## Overview You can send funds in USD from a Virtual Transaction Account (VTA) in your J.P. Morgan Wallet™ program to PayPal and Venmo accounts by submitting PayOut API requests. PayPal/Venmo PayOut is available 24 hours/day, 365 days/year. Payments process within 30 minutes and settle the next day. For general information about payments, see [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview). ### Use cases You can transfer low-value funds in USD from your Wallet DDA to PayPal and Venmo accounts in the US. For example: - Merchant services platform: Pay out a merchant's revenue to their PayPal account in the US. - Video game company: Pay out a player's in-game currency to their Venmo account in the US. - Marketplace platform: Pay out a seller's revenue to their PayPal account in the US. ### Key information The following table describes important information about PayPal/Venmo PayOut. **Key information for PayPal/Venmo PayOut** | Production endpoint | v3.x: https://apigateway.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch Use if you need to send funds from Japan or handle BGN currency. | v2.x: https://apigateway.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch Use if you don't require v3. | | --- | --- | --- | | Client testing endpoint | v3.x: https://apigatewaycat.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch | v2.x: https://apigatewaycat.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch | | API reference | v3.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc#/operations/generatePayoutBatchTransactions) | v2.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc-2#/operations/generatePayoutBatchTransactions) | | Supported branches | J.P. Morgan Chase Bank, New York branch (see [Reference - Supported branches and their Business Identifier Codes](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)) | | Supported currencies | USD | | Supported account types | All (Demand Deposit Account - DDA and Customer Money Account - CMA) | | Payment type | - PayOut | | Payment flows | - Domestic, same currency: USD to USD - Domestic, Foreign Exchange (FX): Not supported - Cross-border, same currency: Not supported - Cross-border, FX: Not supported | | Transaction limit | $60,000 USD | | Cut-off time | No cut-off time | | Settlement period | Processes within 30 minutes, settles next day | | Returns, recalls, and reversals | If the bank account tied to the PayPal/Venmo alias is invalid, the Clearing House initiates a separate return transaction that is not matched to the original PayOut transaction. You cannot initiate returns. | | Service level code | Set serviceLevel.proprietary to NURGPW | ### Prerequisites Before you can execute PayPal/Venmo PayOut transactions, you must configure your Wallet program for PayPal/Venmo. For more information, ask your J.P. Morgan representative. ## Notes Both the debtor DDA and the creditor DDA must be located in the US at the J.P. Morgan Chase Bank, New York branch and use USD. For PayOuts to PayPal, you must include either the phone number or the email address linked to the PayPal account. For PayOuts to Venmo, you must include the phone number linked to the Venmo account. ## Important parameters The following sections list important parameters in the PayPal/Venmo PayOut request along with their requirements. Not all parameters are listed here—for a complete list, see the API reference. ### Header parameters Include the following parameters in the header. **Header parameters for PayPal/Venmo PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | | transactionType | Required | The type of transaction. Set to PAYOUT. | ### Body parameters Note the following important body parameters for US ACH transactions. #### groupHeader The `groupHeader` object contains information about the batch of transactions. **Important body parameters in groupHeader object** | Parameter | Required / Optional | Description | | --- | --- | --- | | creationDateTime | Required | Date and time when the batch was created. Must be in local time with the time zone offset to UTC in the following format: YYYY-MM-DDThh:mm:ss±hh:mm | | controlSum | Optional | Sum of the transaction amounts in the request. | | initiatingParty.name | Conditionally required | Name of the initiating party (you). Maximum 35 characters. At least one parameter in initiatingParty is required. | | messageIdentification | Required | Unique ID of the batch of transactions. Maximum 35 characters. | | numberOfTransactions | Required | Total number of transactions in the batch. Must be 1-500. | The following code snippet is an example of the `groupHeader` object. ```json { "groupHeader": { "messageIdentification": "d7d8bef-c112-457b-9078-23e51597da72", "creationDateTime": "023-07-25T13:11:49.000+0000", "numberOfTransactions": 1, "controlSum": 0.07, "initiatingParty": { "name": "JPMC Client Name" } } } ``` #### paymentInformation The `paymentInformation` object contains parameters related to the payment. **Important parameters in paymentInformation object** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional | Sum of the transaction amounts in the batch. | | numberOfTransactions | Optional | Total number of transactions in the batch. Must be 1-500. | | paymentInformationIdentification | Required | Unique ID of the payment. Maximum 35 characters. | | paymentMethod | Required | Set to TRF. For more information about payment methods, see [Payments - Payment methods](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#payment-methods). | | paymentInformation.paymentTypeInformation.categoryPurpose.proprietary | Required | For PayOuts to PayPal, set to PAYPAL. For PayOuts to Venmo, set to VENMO. | | paymentTypeInformation.serviceLevel.proprietary | Required | Set to NURGPW. For more information about service level codes, see [Payments - Service level codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#service-level-codes). | | requestedExecutionDate | Required | Date when the transaction should be executed in YYYY-MM-DD format. Must be either the date that you submit the request (T) or the previous day (T-1). | The following code snippet is an example of the `paymentInformation` object. ```json { "paymentInformation": { "paymentInformationIdentification": "PAYPAL2N770640uxc8si", "numberOfTransactions": 1, "controlSum": 0.07, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "proprietary": "NURGPW" }, "categoryPurpose": { "proprietary": "PAYPAL" } }, "requestedExecutionDate": "2023-07-25" } } ``` #### paymentInformation.debtor The paymentInformation.`debtor` object contains information about the individual or business that represents the debtor. **paymentInformation.debtor important parameters** | Parameter | Required / Optional | Description | | --- | --- | --- | | name | Conditionally required | Name of the debtor. Maximum 140 characters. At least one parameter in paymentInformation.debtor is required. | | postalAddress | Conditionally required | Postal address of the debtor. Must be in the US. At least one parameter in paymentInformation.debtor is required. | The following code snippet is an example of the paymentInformation.`debtor` object. ```json { "paymentInformation": { "debtor": { "name": "JPMC Client Name", "postalAddress": { "streetName": "Briarwood Ct", "buildingNumber": "23", "postCode": "12345", "townName": "Brooklyn", "countrySubDivision": "NY", "country": "US" } } } } ``` #### paymentInformation.debtorAccount The paymentInformation.`debtorAccount` object contains information about the bank account of the debtor. **paymentInformation.debtorAccount important parameters** | Parameter | Required / Optional | Description | | --- | --- | --- | | currency | Optional but recommended | Currency of your Wallet DDA in three-character ISO 4217 format. Must be USD. | | identification.other.identification | Conditionally required | Debtor account ID corresponding to paymentInformation.debtorAccount.identification.other.schemeName. Maximum 35 characters. At least one parameter in paymentInformation.debtorAccount.identification is required. | | name | Optional | Name of the debtor account. Maximum 140 characters. | The following code snippet is an example of the paymentInformation.`debtorAccount` object. ```json { "paymentInformation": { "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD", "name": "JPMC Client Name" } } } ``` #### paymentInformation.debtorAgent The paymentInformation.`debtorAgent` object contains information about the bank branch where the debtor account is located. **paymentInformation.debtorAgent important parameters** | Field | Required / Optional | Description | | --- | --- | --- | | financialInstitutionIdentification.bic | Conditionally required | BIC of the debtor bank branch. Either this parameter or financialInstitutionIdentification.clearingSystemMemberIdentification is required. If the debtor bank account is your Wallet DDA, this parameter must be the BIC of the J.P. Morgan Chase Bank, New York branch (see [Reference - Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)). | | financialInstitutionIdentification.postalAddress | Optional | Postal address of the debtor bank branch. Must be in the US. | The following code snippet is an example of the paymentInformation.`debtorAgent` object. ```json { "paymentInformation": { "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "postalAddress": { "country": "US" } } } } } ``` #### paymentInformation.creditTransferTransactionInformation The paymentInformation.`creditTransferTransactionInformation` object contains information about the transaction such as the creditor, the ultimate debtor, and the ultimate creditor. **PayPal/Venmo: paymentInformation.creditTransferTransactionInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | amount.instructedAmount.amount | Conditionally required | Amount of funds to be transferred from the debtor to the creditor, in the currency of the debtor account. Maximum 18 digits with six decimal places. Required if paymentInformation.creditTransferTransactionInformation.amount.instructedAmount is present. | | amount.instructedAmount.currency | Conditionally required | Currency of the funds in the debtor account. Must be USD. Required if paymentInformation.creditTransferTransactionInformation.amount.instructedAmount is present. | | creditor.name | Optional | Name of the creditor. Maximum 140 characters. | | creditor.postalAddress | Optional | Postal address of the creditor. Must be in the US. | | creditorAccount.currency | Optional but recommended | Currency of the PayPal or Venmo account in three-character ISO 4217 format. Must be USD. | | creditorAccount.identification.other.identification | Required | Either the phone number (10 digits, no parentheses, no dashes, no country code) or the email address (maximum 127 characters, special characters allowed) connected to the PayPal or Venmo account. PayPal supports both phone number and email address; Venmo only supports phone number. | | creditorAccount.identification.other.schemeName.code | Required | If creditorAccount.identification.other.identification contains a phone number, set to TELI; if it contains an email address, set to EMAL. | | creditorAgent.financialInstitutionIdentification.bic | Conditionally required | BIC of the creditor bank branch. Either this parameter or creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification is required. If the creditor account is your Wallet DDA, this parameter must be the BIC of the J.P. Morgan Chase Bank, New York branch (see [Reference - Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)). | | creditorAgent.financialInstitutionIdentification.name | Required | For PayOuts to PayPal accounts, set to PAYPAL. For PayOuts to Venmo accounts, set to VENMO. | | creditorAgent.financialInstitutionIdentification.postalAddress | Optional | Postal address of the creditor bank branch. Must be in the US. | | paymentIdentification.endToEndIdentification | Required | Unique ID for tracing requests and responses for this transaction. Maximum 16 characters. | | remittanceInformation.unstructured | Optional | Array of strings of remittance information. Each string must be a maximum of 140 characters. | | ultimateDebtor.identification.privateIdentification.other.identification | Conditionally required | ID of the VTA in your Wallet program to debit. Maximum 35 characters. Required if you include the ultimateDebtor parameter. | | ultimateDebtor.identification.privateIdentification.other.schemeName.proprietary | Conditionally required | Set to virtualAccountIdentification. Required if you include the ultimateDebtor parameter. | The following code snippet is an example of the paymentInformation.`creditTransferTransactionInformation` object. ```json { "paymentInformation": { "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N770640uxc8si" }, "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "remittanceInformation": { "unstructured": [ "Remittance Info 123" ] }, "ultimateDebtor": { "identification": { "privateIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "PAYPAL", "postalAddress": { "country": "US" } } }, "creditor": { "name": "John Malcovitch", "postalAddress": { "streetName": "Prince Of Wales Road", "buildingNumber": "1605", "postCode": "19460", "townName": "Rye", "countrySubDivision": "NY", "country": "US" } }, "creditorAccount": { "identification": { "other": { "identification": "abc@mail.com", "schemeName": { "code": "EMAL" } } }, "currency": "USD" } } ] } } ``` ## Examples ### Initiate a PayOut to PayPal #### Request with minimum required data (non-TP3) The following example initiates a PayOut transaction from a Wallet DDA to a PayPal account using the minimum required parameters in the request. ```json { "groupHeader": { "messageIdentification": "d7d8bef-c112-457b-9078-23e51597da72", "creationDateTime": "023-07-25T13:11:49.000+0000", "numberOfTransactions": 1, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "PAYPAL2N770640uxc8si", "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "proprietary": "NURGPW" }, "categoryPurpose": { "proprietary": "PAYPAL" } }, "requestedExecutionDate": "2023-07-25", "debtor": { "name": "JPMC Client Name" }, "debtorAccount": { "identification": { "other": { "identification": "06XXXXXXXX" } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX" } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N770640uxc8si" }, "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "PAYPAL" } }, "creditorAccount": { "identification": { "other": { "identification": "abc@mail.com", "schemeName": { "code": "EMAL" } } } } } ] } } ``` #### Request with optional data The following example initiates a PayOut transaction from a Wallet DDA to a PayPal account with optional parameters in the request. ```json { "groupHeader": { "messageIdentification": "d7d8bef-c112-457b-9078-23e51597da72", "creationDateTime": "023-07-25T13:11:49.000+0000", "numberOfTransactions": 1, "controlSum": 0.07, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "PAYPAL2N770640uxc8si", "numberOfTransactions": 1, "controlSum": 0.07, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "proprietary": "NURGPW" }, "categoryPurpose": { "proprietary": "PAYPAL" } }, "requestedExecutionDate": "2023-07-25", "debtor": { "name": "JPMC Client Name", "postalAddress": { "streetName": "Briarwood Ct", "buildingNumber": "23", "postCode": "12345", "townName": "Brooklyn", "countrySubDivision": "NY", "country": "US" } }, "debtorAccount": { "identification": { "other": { "identification": "06XXXXXXXX" } }, "currency": "USD", "name": "JPMC Client Name" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "postalAddress": { "country": "US" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N770640uxc8si" }, "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "remittanceInformation": { "unstructured": [ "Remittance Info 123" ] }, "ultimateDebtor": { "identification": { "privateIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "PAYPAL", "postalAddress": { "country": "US" } } }, "creditor": { "name": "John Malcovitch", "postalAddress": { "streetName": "Prince Of Wales Road", "buildingNumber": "1605", "postCode": "19460", "townName": "Rye", "countrySubDivision": "NY", "country": "US" } }, "creditorAccount": { "identification": { "other": { "identification": "abc@mail.com", "schemeName": { "code": "EMAL" } } }, "currency": "USD" } } ] } } ``` #### Response The following is the synchronous response to the previous example request. ```json { "groupHeader": { "messageIdentification": "1d7d8bef-c112-457b-9078-23e51597da72", "creationDateTime": "2023-07-25T13:11:49.000+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N770640uxc8si", "originalMessageNameIdentification": "API-PAYOUT", "originalCreationDateTime": "2023-07-25T13:11:47.000+0000", "originalNumberOfTransactions": 1, "originalControlSum": 0.07, "groupStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.07 } ] }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "PAYPAL2N770640uxc8si", "paymentInformationStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.07 } ], "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N770640uxc8si", "transactionStatus": "ACTC", "statusReasonInformation": [], "acceptanceDateTime": "2023-07-25T13:11:49.836+0000", "accountServicerReference": "a7200653-2b8f-40d8-afa7-58891d87e3ed", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "requestedExecutionDate": "2023-07-25", "paymentMethod": "TRF", "ultimateDebtor": { "identification": { "privateIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "06XXXXXXXX" } }, "currency": "USD", "name": "JPMC bank" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "postalAddress": { "country": "US" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "PAYPAL", "postalAddress": { "country": "US" } } }, "creditorAccount": { "identification": { "other": { "identification": "abc@mail.com" } }, "currency": "USD" } } } ] } } ``` #### Notification The following is the asynchronous notification that Wallet sends after completing the previous example request. ```json { "groupHeader": { "messageIdentification": "dc618fb3-ae2f-40cb-b16b-a13c13a9cb18", "creationDateTime": "2023-07-25T13:12:35.300+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N770640uxc8si", "originalMessageNameIdentification": "API-PAYOUT", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "PAYPAL2N770640uxc8si", "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N770640uxc8si", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete" ] } ], "acceptanceDateTime": "2023-07-25T13:11:55.833+0000", "accountServicerReference": "0000111206GB", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "requestedExecutionDate": "2023-07-25", "paymentMethod": "TRF", "remittanceInformation": [ { "remittanceInformationText": "Remittance Info 123", "remittanceSequenceNumber": "1" } ], "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "XXXXXXXXXXX", "postalAddress": { "country": "US" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "XXXXXXXXXXX", "name": "XXXXXX", "postalAddress": { "country": "US" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXXX" } }, "currency": "USD" }, "receiver": { "name": "XXXXXXXXXXXXX", "postalAddress": { "streetName": "XXXXXXXXXXXXXXXXXXXX", "buildingNumber": "XXXX", "postCode": "19460", "townName": "Rye", "countrySubDivision": "NY", "country": "US" } } } } ] } } ``` ### Initiate a PayOut to Venmo #### Request with minimum required data (non-TP3) The following example request initiates a PayOut transaction from a Wallet DDA to a Venmo account with the minimum required parameters. ```json { "groupHeader": { "messageIdentification": "d7d8bef-c112-457b-9078-23e51597da72", "creationDateTime": "023-07-25T13:11:49.000+0000", "numberOfTransactions": 1, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "PAYPAL2N770640uxc8si", "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "proprietary": "NURGPW" }, "categoryPurpose": { "proprietary": "PAYPAL" } }, "requestedExecutionDate": "2023-07-25", "debtor": { "name": "JPMC Client Name" }, "debtorAccount": { "identification": { "other": { "identification": "06XXXXXXXX" } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX" } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N770640uxc8si" }, "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "PAYPAL" } }, "creditorAccount": { "identification": { "other": { "identification": "abc@mail.com", "schemeName": { "code": "EMAL" } } } } } ] } } ``` #### Request with optional data The following example request initiates a PayOut transaction from a Wallet DDA to a Venmo account with optional parameters. ```json { "groupHeader": { "messageIdentification": "f7e5e255-4b44-4280-856a-b4b66477fb9b", "creationDateTime": "2023-07-25T13:12:05.000+0000", "numberOfTransactions": 1, "controlSum": "0.07", "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "VENMO2N770640ko9za9", "numberOfTransactions": 1, "controlSum": "0.07", "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "proprietary": "NURGPW" }, "categoryPurpose": { "proprietary": "VENMO" } }, "requestedExecutionDate": "2023-07-25", "debtor": { "name": "JPMC Client Name", "postalAddress": { "streetName": "Briarwood Ct", "buildingNumber": "23", "postCode": "12345", "townName": "Brooklyn", "countrySubDivision": "NY", "country": "US" } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD", "name": "JPMC Client Name" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "postalAddress": { "country": "US" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N770640ko9za9" }, "amount": { "instructedAmount": { "amount": "0.07", "currency": "USD" } }, "remittanceInformation": { "unstructured": [ "Remittance Info 123" ] }, "ultimateDebtor": { "identification": { "privateIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "VENMO", "postalAddress": { "country": "US" } } }, "creditor": { "name": "John Malcovitch", "postalAddress": { "streetName": "Prince Of Wales Road", "buildingNumber": "1605", "postCode": "19460", "townName": "Rye", "countrySubDivision": "NY", "country": "US" } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX", "schemeName": { "code": "TELI" } } }, "currency": "USD" } } ] } } ``` #### Response The following is the synchronous response to the previous example request. ```json { "groupHeader": { "messageIdentification": "f7e5e255-4b44-4280-856a-b4b66477fb9b", "creationDateTime": "2023-07-25T13:12:05.000+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N770640ko9za9", "originalMessageNameIdentification": "API-PAYOUT", "originalCreationDateTime": "2023-07-25T13:12:02.000+0000", "originalNumberOfTransactions": 1, "originalControlSum": 0.07, "groupStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.07 } ] }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "VENMO2N770640ko9za9", "paymentInformationStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.07 } ], "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N770640ko9za9", "transactionStatus": "ACTC", "statusReasonInformation": [], "acceptanceDateTime": "2023-07-25T13:12:05.623+0000", "accountServicerReference": "0c4320c0-8214-4283-89ad-df733880d44e", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "requestedExecutionDate": "2023-07-25", "paymentMethod": "TRF", "ultimateDebtor": { "identification": { "privateIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD", "name": "JPMC Client Name" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "postalAddress": { "country": "US" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "name": "VENMO", "postalAddress": { "country": "US" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" } } } ] } } ``` #### Notification The following is the asynchronous notification that Wallet sends after completing the previous example request. ```json { "groupHeader": { "messageIdentification": "06e8e6cc-ae61-4586-870d-d20632f6e0fd", "creationDateTime": "2023-07-25T13:12:50.866+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N770640ko9za9", "originalMessageNameIdentification": "API-PAYOUT", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "VENMO2N770640ko9za9", "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N770640ko9za9", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete" ] } ], "acceptanceDateTime": "2023-07-25T13:12:12.180+0000", "accountServicerReference": "0000151206GB", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.07, "currency": "USD" } }, "requestedExecutionDate": "2023-07-25", "paymentMethod": "TRF", "remittanceInformation": [ { "remittanceInformationText": "Remittance Info 123", "remittanceSequenceNumber": "1" } ], "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "XXXXXXXXXXX", "postalAddress": { "country": "US" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "XXXXXXXXXXX", "name": "XXXXX", "postalAddress": { "country": "US" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "receiver": { "name": "XXXXXXXXXXXXX", "postalAddress": { "streetName": "XXXXXXXXXXXXXXXXXXXX", "buildingNumber": "XXXX", "postCode": "19460", "townName": "Rye", "countrySubDivision": "NY", "country": "US" } } } } ] } } ```